# SWDB

# \K_Guild_Skill_Group

Guild skill group.

Represents an object from the table 'k_guild_skill_group'.

## Summary

Methods
Properties
Constants
__construct()
get_image()
$db
$id
$name
$description
$skills
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  application/entity/K_Guild_Skill_Group.php
Package
  Default
Class hierarchy
  \Entity
  \K_Guild_Skill_Group

## Tags

category | Entity

## Properties

### $db

    $db : resource

#### Type

resource — Database connection.

#

Inherited from
  \Entity

## Tags

None found

### $id

    $id : integer

#### Type

integer — Group identifier.

#

## Tags

None found

### $name

    $name : string

#### Type

string — Group name.

#

## Tags

None found

### $description

    $description : string

#### Type

string — Group description.

#

## Tags

None found

### $skills

    $skills : array<mixed,\K_Guild_Skill>

#### Type

array<mixed,\K_Guild_Skill> — List of K_Guild_Skills in the group.

#

## Tags

None found

## Methods

### __construct()

    __construct(resource  $db, integer  $id)

Constructor.

Searches the database and retrieves the information about the skill group, populating it and it's items.

#### Parameters

resource | $db | Connection to the database.
integer | $id | Skill group identifier.

#

## Tags

None found

### get_image()

    get_image() : string

Gets the pathto the monster image. The image must be in the img/skill_guild/ directory, and its name must be the monster id, padded with '0' to 1 digits, and the extension must be '.png'.

#### Returns

string —

Image URL, or a fixed unknown image.

#

## Tags

None found

### K_Guild_Skill_Group.php